# QLineF Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QLineF()
- void QLineF(QLine line)
- void QLineF(QPointF pt1, QPointF pt2)
- void QLineF(qreal x1, qreal y1, qreal x2, qreal y2)

### Constructor Properties

- prototype: The QLineF prototype object
- QLineF fromPolar(qreal length, qreal angle)
- NoIntersection
- BoundedIntersection
- UnboundedIntersection
- IntersectType( value )

### Prototype Object Properties

- qreal angle()
- qreal angleTo(QLineF l)
- qreal dx()
- qreal dy()
- IntersectType intersect(QLineF l, QPointF intersectionPoint)
- bool isNull()
- qreal length()
- QLineF normalVector()
- bool operator_equal(QLineF d)
- QPointF p1()
- QPointF p2()
- QPointF pointAt(qreal t)
- void readFrom(QDataStream arg__1)
- void setAngle(qreal angle)
- void setLength(qreal len)
- void setLine(qreal x1, qreal y1, qreal x2, qreal y2)
- void setP1(QPointF p1)
- void setP2(QPointF p2)
- void setPoints(QPointF p1, QPointF p2)
- QLine toLine()
- void translate(QPointF p)
- QLineF translated(QPointF p)
- QLineF unitVector()
- void writeTo(QDataStream arg__1)
- qreal x1()
- qreal x2()
- qreal y1()
- qreal y2()

### Instance Properties

QLineF objects have no special properties beyond those inherited from the QLineF prototype object.